from pathlib import Path


class CONFIG(object):
    __slots__ = ()
    PROGRAM_NAME = 'ccaptchas'

    DEFAULT_SAVE_DIR = Path('.', 'saved_models')
    DEFAULT_DATA_FILE_EXTENSIONS = ('.jpg', '.png')
    DEFAULT_BATCH_SIZE = 10
    DEFAULT_NUM_EPOCHS = 100
    DEFAULT_EARLY_STOPPING_PATIENCE = 10

    VALIDATION_DATA_RATIO = 1 / 8
    SHUFFLE_DATA = True
    INPUT_LAYER_NAME_IMAGE, INPUT_LAYER_NAME_LABEL = 'image', 'label'
    OUTPUT_LAYER_NAME = 'encoded_output'
    MAX_STRING_LENGTH = 6  # Maximum number of character in any captcha image in the dataset
    IMG_WIDTH, IMG_HEIGHT = 250, 50  # Desired image dimensions
    VOCABULARY_FILE_NAME = '.vocabulary'
